"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
const sheep_hooks_useModal = require("../../hooks/useModal.js");
require("../../api/index.js");
require("../../api/distri/score.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../helper/throttle.js");
require("../../url/index.js");
require("../../platform/pay.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../api/distri/share.js");
require("../../api/distri/team.js");
require("../../api/infra/file.js");
require("../../api/member/address.js");
require("../../api/member/point.js");
require("../../api/member/signin.js");
require("../../api/migration/app.js");
require("../../api/migration/chat.js");
require("../../api/migration/index.js");
require("../../api/migration/third.js");
require("../../api/pay/channel.js");
require("../../api/product/category.js");
require("../../api/product/comment.js");
require("../../api/product/favorite.js");
require("../../api/product/history.js");
require("../../api/product/spu.js");
require("../../api/promotion/activity.js");
require("../../api/promotion/article.js");
require("../../api/promotion/bargain.js");
require("../../api/promotion/combination.js");
require("../../api/promotion/rewardActivity.js");
require("../../api/promotion/seckill.js");
require("../../api/system/area.js");
require("../../api/system/voice.js");
require("../../api/trade/afterSale.js");
require("../../api/trade/brokerage.js");
require("../../api/trade/config.js");
require("../../api/trade/delivery.js");
require("../../config/zIndex.js");
if (!Array) {
  const _easycom_su_status_bar2 = common_vendor.resolveComponent("su-status-bar");
  const _easycom_su_popup2 = common_vendor.resolveComponent("su-popup");
  (_easycom_su_status_bar2 + _easycom_su_popup2)();
}
const _easycom_su_status_bar = () => "../../ui/su-status-bar/su-status-bar.js";
const _easycom_su_popup = () => "../../ui/su-popup/su-popup.js";
if (!Math) {
  (_easycom_su_status_bar + _easycom_su_popup)();
}
const _sfc_main = {
  __name: "s-menu-tools",
  setup(__props) {
    const show = common_vendor.computed(() => sheep_index.sheep.$store("modal").menu);
    function onClick(item) {
      sheep_hooks_useModal.closeMenuTools();
      if (item.url)
        sheep_index.sheep.$router.go(item.url);
    }
    const list = [
      {
        url: "/pages/index/index",
        icon: "/static/images/home.png",
        title: "首页"
      },
      {
        url: "/pages/index/search",
        icon: "/static/images/search.png",
        title: "搜索"
      },
      {
        url: "/pages/index/user",
        icon: "/static/images/user.png",
        title: "个人中心"
      },
      {
        url: "/pages/index/cart",
        icon: "/static/images/cart.png",
        title: "购物车"
      },
      {
        url: "/pages/user/goods-log",
        icon: "/static/images/browse.png",
        title: "浏览记录"
      },
      {
        url: "/pages/user/goods-collect",
        icon: "/static/images/collect.png",
        title: "我的收藏"
      },
      {
        url: "/pages/chat/index",
        icon: "/static/images/service.png",
        title: "客服"
      }
    ];
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(list, (item, k0, i0) => {
          return common_vendor.e(show.value ? {
            a: common_vendor.unref(sheep_index.sheep).$url.static(item.icon)
          } : {}, {
            b: common_vendor.o(($event) => onClick(item), item.title),
            c: common_vendor.t(item.title),
            d: item.title
          });
        }),
        b: show.value,
        c: common_vendor.o(common_vendor.unref(sheep_hooks_useModal.closeMenuTools)),
        d: common_vendor.p({
          show: show.value,
          type: "top",
          round: "20",
          backgroundColor: "#F0F0F0"
        })
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-bbb37e35"], ["__file", "D:/zx/mall-front-app/sheep/components/s-menu-tools/s-menu-tools.vue"]]);
wx.createComponent(Component);
